package fixing
[profile/ivi/dhcp.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkglibdir = $(libdir)/@PACKAGE@
20 pkgincludedir = $(includedir)/@PACKAGE@
21 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
22 install_sh_DATA = $(install_sh) -c -m 644
23 install_sh_PROGRAM = $(install_sh) -c
24 install_sh_SCRIPT = $(install_sh) -c
25 INSTALL_HEADER = $(INSTALL_DATA)
26 transform = $(program_transform_name)
27 NORMAL_INSTALL = :
28 PRE_INSTALL = :
29 POST_INSTALL = :
30 NORMAL_UNINSTALL = :
31 PRE_UNINSTALL = :
32 POST_UNINSTALL = :
33 subdir = .
34 DIST_COMMON = README $(am__configure_deps) $(nobase_include_HEADERS) \
35         $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
36         $(top_srcdir)/configure depcomp install-sh missing
37 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
38 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
39 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
40         $(ACLOCAL_M4)
41 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
42  configure.lineno config.status.lineno
43 mkinstalldirs = $(install_sh) -d
44 CONFIG_HEADER = $(top_builddir)/includes/config.h
45 CONFIG_CLEAN_FILES =
46 SOURCES =
47 DIST_SOURCES =
48 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
49         html-recursive info-recursive install-data-recursive \
50         install-dvi-recursive install-exec-recursive \
51         install-html-recursive install-info-recursive \
52         install-pdf-recursive install-ps-recursive install-recursive \
53         installcheck-recursive installdirs-recursive pdf-recursive \
54         ps-recursive uninstall-recursive
55 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
56 am__vpath_adj = case $$p in \
57     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
58     *) f=$$p;; \
59   esac;
60 am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
61 am__installdirs = "$(DESTDIR)$(includedir)"
62 nobase_includeHEADERS_INSTALL = $(install_sh_DATA)
63 HEADERS = $(nobase_include_HEADERS)
64 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
65   distclean-recursive maintainer-clean-recursive
66 ETAGS = etags
67 CTAGS = ctags
68 DIST_SUBDIRS = $(SUBDIRS)
69 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
70 distdir = $(PACKAGE)-$(VERSION)
71 top_distdir = $(distdir)
72 am__remove_distdir = \
73   { test ! -d $(distdir) \
74     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
75          && rm -fr $(distdir); }; }
76 DIST_ARCHIVES = $(distdir).tar.gz
77 GZIP_ENV = --best
78 distuninstallcheck_listfiles = find . -type f -print
79 distcleancheck_listfiles = find . -type f -print
80 ACLOCAL = @ACLOCAL@
81 AMTAR = @AMTAR@
82 AUTOCONF = @AUTOCONF@
83 AUTOHEADER = @AUTOHEADER@
84 AUTOMAKE = @AUTOMAKE@
85 AWK = @AWK@
86 CC = @CC@
87 CCDEPMODE = @CCDEPMODE@
88 CFLAGS = @CFLAGS@
89 CPP = @CPP@
90 CPPFLAGS = @CPPFLAGS@
91 CYGPATH_W = @CYGPATH_W@
92 DEFS = @DEFS@
93 DEPDIR = @DEPDIR@
94 ECHO_C = @ECHO_C@
95 ECHO_N = @ECHO_N@
96 ECHO_T = @ECHO_T@
97 EGREP = @EGREP@
98 EXEEXT = @EXEEXT@
99 GREP = @GREP@
100 INSTALL = @INSTALL@
101 INSTALL_DATA = @INSTALL_DATA@
102 INSTALL_PROGRAM = @INSTALL_PROGRAM@
103 INSTALL_SCRIPT = @INSTALL_SCRIPT@
104 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
105 LDAP_CFLAGS = @LDAP_CFLAGS@
106 LDFLAGS = @LDFLAGS@
107 LIBOBJS = @LIBOBJS@
108 LIBS = @LIBS@
109 LTLIBOBJS = @LTLIBOBJS@
110 MAINT = @MAINT@
111 MAKEINFO = @MAKEINFO@
112 MKDIR_P = @MKDIR_P@
113 OBJEXT = @OBJEXT@
114 PACKAGE = @PACKAGE@
115 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
116 PACKAGE_NAME = @PACKAGE_NAME@
117 PACKAGE_STRING = @PACKAGE_STRING@
118 PACKAGE_TARNAME = @PACKAGE_TARNAME@
119 PACKAGE_URL = @PACKAGE_URL@
120 PACKAGE_VERSION = @PACKAGE_VERSION@
121 PATH_SEPARATOR = @PATH_SEPARATOR@
122 RANLIB = @RANLIB@
123 SET_MAKE = @SET_MAKE@
124 SHELL = @SHELL@
125 STRIP = @STRIP@
126 VERSION = @VERSION@
127 abs_builddir = @abs_builddir@
128 abs_srcdir = @abs_srcdir@
129 abs_top_builddir = @abs_top_builddir@
130 abs_top_srcdir = @abs_top_srcdir@
131 ac_ct_CC = @ac_ct_CC@
132 ac_prefix_program = @ac_prefix_program@
133 am__include = @am__include@
134 am__leading_dot = @am__leading_dot@
135 am__quote = @am__quote@
136 am__tar = @am__tar@
137 am__untar = @am__untar@
138 bindir = @bindir@
139 build_alias = @build_alias@
140 builddir = @builddir@
141 byte_order = @byte_order@
142 datadir = @datadir@
143 datarootdir = @datarootdir@
144 docdir = @docdir@
145 dvidir = @dvidir@
146 exec_prefix = @exec_prefix@
147 host_alias = @host_alias@
148 htmldir = @htmldir@
149 includedir = @includedir@
150 infodir = @infodir@
151 install_sh = @install_sh@
152 libdir = @libdir@
153 libexecdir = @libexecdir@
154 localedir = @localedir@
155 localstatedir = @localstatedir@
156 mandir = @mandir@
157 mkdir_p = @mkdir_p@
158 oldincludedir = @oldincludedir@
159 pdfdir = @pdfdir@
160 prefix = @prefix@
161 program_transform_name = @program_transform_name@
162 psdir = @psdir@
163 sbindir = @sbindir@
164 sharedstatedir = @sharedstatedir@
165 srcdir = @srcdir@
166 sysconfdir = @sysconfdir@
167 target_alias = @target_alias@
168 top_build_prefix = @top_build_prefix@
169 top_builddir = @top_builddir@
170 top_srcdir = @top_srcdir@
171
172 #
173 # We have a lot of files that we want shipped with the distribution.
174 #
175 EXTRA_DIST = RELNOTES LICENSE \
176              contrib/3.0b1-lease-convert contrib/dhclient-tz-exithook.sh \
177              contrib/dhcp.spec contrib/sethostname.sh contrib/solaris.init \
178              contrib/ms2isc/Registry.pm contrib/ms2isc/ms2isc.pl \
179              contrib/ms2isc/readme.txt contrib/ldap/dhcpd-conf-to-ldap \
180              contrib/ldap/dhcp.schema contrib/ldap/README.ldap \
181              doc/IANA-arp-parameters doc/Makefile doc/References.html \
182              doc/References.txt doc/References.xml doc/api+protocol \
183              doc/ja_JP.eucJP/dhclient-script.8 doc/ja_JP.eucJP/dhclient.8 \
184              doc/ja_JP.eucJP/dhclient.conf.5 doc/ja_JP.eucJP/dhclient.leases.5 \
185              doc/ja_JP.eucJP/dhcp-eval.5 doc/ja_JP.eucJP/dhcp-options.5 \
186              doc/examples/dhclient-dhcpv6.conf doc/examples/dhcpd-dhcpv6.conf \
187              util/bindvar.sh \
188              bind/Makefile bind/bind.tar.gz bind/version.tmp 
189
190 SUBDIRS = bind includes tests common dst omapip client dhcpctl relay server
191 nobase_include_HEADERS = dhcpctl/dhcpctl.h
192 all: all-recursive
193
194 .SUFFIXES:
195 am--refresh:
196         @:
197 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
198         @for dep in $?; do \
199           case '$(am__configure_deps)' in \
200             *$$dep*) \
201               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign '; \
202               cd $(srcdir) && $(AUTOMAKE) --foreign  \
203                 && exit 0; \
204               exit 1;; \
205           esac; \
206         done; \
207         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  Makefile'; \
208         cd $(top_srcdir) && \
209           $(AUTOMAKE) --foreign  Makefile
210 .PRECIOUS: Makefile
211
212 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
213         $(SHELL) ./config.status --recheck
214
215 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
216         cd $(srcdir) && $(AUTOCONF)
217 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
218         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
219 install-nobase_includeHEADERS: $(nobase_include_HEADERS)
220         @$(NORMAL_INSTALL)
221         test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
222         @$(am__vpath_adj_setup) \
223         list='$(nobase_include_HEADERS)'; for p in $$list; do \
224           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
225           $(am__vpath_adj) \
226           echo " $(nobase_includeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(includedir)/$$f'"; \
227           $(nobase_includeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(includedir)/$$f"; \
228         done
229
230 uninstall-nobase_includeHEADERS:
231         @$(NORMAL_UNINSTALL)
232         @$(am__vpath_adj_setup) \
233         list='$(nobase_include_HEADERS)'; for p in $$list; do \
234           $(am__vpath_adj) \
235           echo " rm -f '$(DESTDIR)$(includedir)/$$f'"; \
236           rm -f "$(DESTDIR)$(includedir)/$$f"; \
237         done
238
239 # This directory's subdirectories are mostly independent; you can cd
240 # into them and run `make' without going through this Makefile.
241 # To change the values of `make' variables: instead of editing Makefiles,
242 # (1) if the variable is set in `config.status', edit `config.status'
243 #     (which will cause the Makefiles to be regenerated when you run `make');
244 # (2) otherwise, pass the desired values on the `make' command line.
245 $(RECURSIVE_TARGETS):
246         @failcom='exit 1'; \
247         for f in x $$MAKEFLAGS; do \
248           case $$f in \
249             *=* | --[!k]*);; \
250             *k*) failcom='fail=yes';; \
251           esac; \
252         done; \
253         dot_seen=no; \
254         target=`echo $@ | sed s/-recursive//`; \
255         list='$(SUBDIRS)'; for subdir in $$list; do \
256           echo "Making $$target in $$subdir"; \
257           if test "$$subdir" = "."; then \
258             dot_seen=yes; \
259             local_target="$$target-am"; \
260           else \
261             local_target="$$target"; \
262           fi; \
263           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
264           || eval $$failcom; \
265         done; \
266         if test "$$dot_seen" = "no"; then \
267           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
268         fi; test -z "$$fail"
269
270 $(RECURSIVE_CLEAN_TARGETS):
271         @failcom='exit 1'; \
272         for f in x $$MAKEFLAGS; do \
273           case $$f in \
274             *=* | --[!k]*);; \
275             *k*) failcom='fail=yes';; \
276           esac; \
277         done; \
278         dot_seen=no; \
279         case "$@" in \
280           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
281           *) list='$(SUBDIRS)' ;; \
282         esac; \
283         rev=''; for subdir in $$list; do \
284           if test "$$subdir" = "."; then :; else \
285             rev="$$subdir $$rev"; \
286           fi; \
287         done; \
288         rev="$$rev ."; \
289         target=`echo $@ | sed s/-recursive//`; \
290         for subdir in $$rev; do \
291           echo "Making $$target in $$subdir"; \
292           if test "$$subdir" = "."; then \
293             local_target="$$target-am"; \
294           else \
295             local_target="$$target"; \
296           fi; \
297           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
298           || eval $$failcom; \
299         done && test -z "$$fail"
300 tags-recursive:
301         list='$(SUBDIRS)'; for subdir in $$list; do \
302           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
303         done
304 ctags-recursive:
305         list='$(SUBDIRS)'; for subdir in $$list; do \
306           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
307         done
308
309 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
310         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
311         unique=`for i in $$list; do \
312             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313           done | \
314           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
315               END { if (nonempty) { for (i in files) print i; }; }'`; \
316         mkid -fID $$unique
317 tags: TAGS
318
319 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
320                 $(TAGS_FILES) $(LISP)
321         tags=; \
322         here=`pwd`; \
323         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
324           include_option=--etags-include; \
325           empty_fix=.; \
326         else \
327           include_option=--include; \
328           empty_fix=; \
329         fi; \
330         list='$(SUBDIRS)'; for subdir in $$list; do \
331           if test "$$subdir" = .; then :; else \
332             test ! -f $$subdir/TAGS || \
333               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
334           fi; \
335         done; \
336         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
337         unique=`for i in $$list; do \
338             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
339           done | \
340           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
341               END { if (nonempty) { for (i in files) print i; }; }'`; \
342         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
343           test -n "$$unique" || unique=$$empty_fix; \
344           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
345             $$tags $$unique; \
346         fi
347 ctags: CTAGS
348 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
349                 $(TAGS_FILES) $(LISP)
350         tags=; \
351         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
352         unique=`for i in $$list; do \
353             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
354           done | \
355           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
356               END { if (nonempty) { for (i in files) print i; }; }'`; \
357         test -z "$(CTAGS_ARGS)$$tags$$unique" \
358           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
359              $$tags $$unique
360
361 GTAGS:
362         here=`$(am__cd) $(top_builddir) && pwd` \
363           && cd $(top_srcdir) \
364           && gtags -i $(GTAGS_ARGS) $$here
365
366 distclean-tags:
367         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
368
369 distdir: $(DISTFILES)
370         $(am__remove_distdir)
371         test -d $(distdir) || mkdir $(distdir)
372         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
373         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
374         list='$(DISTFILES)'; \
375           dist_files=`for file in $$list; do echo $$file; done | \
376           sed -e "s|^$$srcdirstrip/||;t" \
377               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
378         case $$dist_files in \
379           */*) $(MKDIR_P) `echo "$$dist_files" | \
380                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
381                            sort -u` ;; \
382         esac; \
383         for file in $$dist_files; do \
384           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
385           if test -d $$d/$$file; then \
386             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
387             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
388               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
389             fi; \
390             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
391           else \
392             test -f $(distdir)/$$file \
393             || cp -p $$d/$$file $(distdir)/$$file \
394             || exit 1; \
395           fi; \
396         done
397         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
398           if test "$$subdir" = .; then :; else \
399             test -d "$(distdir)/$$subdir" \
400             || $(MKDIR_P) "$(distdir)/$$subdir" \
401             || exit 1; \
402             distdir=`$(am__cd) $(distdir) && pwd`; \
403             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
404             (cd $$subdir && \
405               $(MAKE) $(AM_MAKEFLAGS) \
406                 top_distdir="$$top_distdir" \
407                 distdir="$$distdir/$$subdir" \
408                 am__remove_distdir=: \
409                 am__skip_length_check=: \
410                 distdir) \
411               || exit 1; \
412           fi; \
413         done
414         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
415           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
416           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
417           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
418         || chmod -R a+r $(distdir)
419 dist-gzip: distdir
420         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
421         $(am__remove_distdir)
422
423 dist-bzip2: distdir
424         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
425         $(am__remove_distdir)
426
427 dist-lzma: distdir
428         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
429         $(am__remove_distdir)
430
431 dist-tarZ: distdir
432         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
433         $(am__remove_distdir)
434
435 dist-shar: distdir
436         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
437         $(am__remove_distdir)
438
439 dist-zip: distdir
440         -rm -f $(distdir).zip
441         zip -rq $(distdir).zip $(distdir)
442         $(am__remove_distdir)
443
444 dist dist-all: distdir
445         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
446         $(am__remove_distdir)
447
448 # This target untars the dist file and tries a VPATH configuration.  Then
449 # it guarantees that the distribution is self-contained by making another
450 # tarfile.
451 distcheck: dist
452         case '$(DIST_ARCHIVES)' in \
453         *.tar.gz*) \
454           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
455         *.tar.bz2*) \
456           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
457         *.tar.lzma*) \
458           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
459         *.tar.Z*) \
460           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
461         *.shar.gz*) \
462           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
463         *.zip*) \
464           unzip $(distdir).zip ;;\
465         esac
466         chmod -R a-w $(distdir); chmod a+w $(distdir)
467         mkdir $(distdir)/_build
468         mkdir $(distdir)/_inst
469         chmod a-w $(distdir)
470         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
471           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
472           && cd $(distdir)/_build \
473           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
474             $(DISTCHECK_CONFIGURE_FLAGS) \
475           && $(MAKE) $(AM_MAKEFLAGS) \
476           && $(MAKE) $(AM_MAKEFLAGS) dvi \
477           && $(MAKE) $(AM_MAKEFLAGS) check \
478           && $(MAKE) $(AM_MAKEFLAGS) install \
479           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
480           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
481           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
482                 distuninstallcheck \
483           && chmod -R a-w "$$dc_install_base" \
484           && ({ \
485                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
486                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
487                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
488                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
489                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
490               } || { rm -rf "$$dc_destdir"; exit 1; }) \
491           && rm -rf "$$dc_destdir" \
492           && $(MAKE) $(AM_MAKEFLAGS) dist \
493           && rm -rf $(DIST_ARCHIVES) \
494           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
495         $(am__remove_distdir)
496         @(echo "$(distdir) archives ready for distribution: "; \
497           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
498           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
499 distuninstallcheck:
500         @cd $(distuninstallcheck_dir) \
501         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
502            || { echo "ERROR: files left after uninstall:" ; \
503                 if test -n "$(DESTDIR)"; then \
504                   echo "  (check DESTDIR support)"; \
505                 fi ; \
506                 $(distuninstallcheck_listfiles) ; \
507                 exit 1; } >&2
508 distcleancheck: distclean
509         @if test '$(srcdir)' = . ; then \
510           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
511           exit 1 ; \
512         fi
513         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
514           || { echo "ERROR: files left in build directory after distclean:" ; \
515                $(distcleancheck_listfiles) ; \
516                exit 1; } >&2
517 check-am: all-am
518 check: check-recursive
519 all-am: Makefile $(HEADERS)
520 installdirs: installdirs-recursive
521 installdirs-am:
522         for dir in "$(DESTDIR)$(includedir)"; do \
523           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
524         done
525 install: install-recursive
526 install-exec: install-exec-recursive
527 install-data: install-data-recursive
528 uninstall: uninstall-recursive
529
530 install-am: all-am
531         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
532
533 installcheck: installcheck-recursive
534 install-strip:
535         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
536           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
537           `test -z '$(STRIP)' || \
538             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
539 mostlyclean-generic:
540
541 clean-generic:
542
543 distclean-generic:
544         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
545
546 maintainer-clean-generic:
547         @echo "This command is intended for maintainers to use"
548         @echo "it deletes files that may require special tools to rebuild."
549 clean: clean-recursive
550
551 clean-am: clean-generic mostlyclean-am
552
553 distclean: distclean-recursive
554         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
555         -rm -f Makefile
556 distclean-am: clean-am distclean-generic distclean-tags
557
558 dvi: dvi-recursive
559
560 dvi-am:
561
562 html: html-recursive
563
564 info: info-recursive
565
566 info-am:
567
568 install-data-am: install-nobase_includeHEADERS
569
570 install-dvi: install-dvi-recursive
571
572 install-exec-am:
573
574 install-html: install-html-recursive
575
576 install-info: install-info-recursive
577
578 install-man:
579
580 install-pdf: install-pdf-recursive
581
582 install-ps: install-ps-recursive
583
584 installcheck-am:
585
586 maintainer-clean: maintainer-clean-recursive
587         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
588         -rm -rf $(top_srcdir)/autom4te.cache
589         -rm -f Makefile
590 maintainer-clean-am: distclean-am maintainer-clean-generic
591
592 mostlyclean: mostlyclean-recursive
593
594 mostlyclean-am: mostlyclean-generic
595
596 pdf: pdf-recursive
597
598 pdf-am:
599
600 ps: ps-recursive
601
602 ps-am:
603
604 uninstall-am: uninstall-nobase_includeHEADERS
605
606 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
607         install-strip
608
609 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
610         all all-am am--refresh check check-am clean clean-generic \
611         ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
612         dist-lzma dist-shar dist-tarZ dist-zip distcheck distclean \
613         distclean-generic distclean-tags distcleancheck distdir \
614         distuninstallcheck dvi dvi-am html html-am info info-am \
615         install install-am install-data install-data-am install-dvi \
616         install-dvi-am install-exec install-exec-am install-html \
617         install-html-am install-info install-info-am install-man \
618         install-nobase_includeHEADERS install-pdf install-pdf-am \
619         install-ps install-ps-am install-strip installcheck \
620         installcheck-am installdirs installdirs-am maintainer-clean \
621         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
622         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am \
623         uninstall-nobase_includeHEADERS
624
625
626 #
627 # automake adds dependencies that we don't like, so we explicitly remove them
628 #
629 Makefile:
630 # Tell versions [3.59,3.63) of GNU make to not export all variables.
631 # Otherwise a system limit (for SysV at least) may be exceeded.
632 .NOEXPORT: